This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 633058

Summary: Review Request: mingw32-gdk-pixbuf - MinGW Windows GDK Pixbuf library
Product: [Fedora] Fedora Reporter: Erik van Pienbroek <erik-fedora>
Component: Package ReviewAssignee: Gerd Hoffmann <kraxel>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-mingw, fedora-package-review, kalevlember, kraxel, notting
Target Milestone: ---Flags: kraxel: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-10-11 12:11:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Erik van Pienbroek 2010-09-12 13:18:08 EDT
Spec URL: http://ftd4linux.nl/contrib/mingw32-gdk-pixbuf.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw32-gdk-pixbuf-2.21.7-1.fc14.src.rpm
Description: MinGW Windows GDK Pixbuf library

This package is split off from the mingw32-gtk2 package as upstream has decided to separate the gdk-pixbuf library from the gtk2 package. This package is needed to build mingw32-gtk2-2.21.7 (or higher)
Comment 1 Gerd Hoffmann 2010-09-17 07:19:22 EDT
# rpmlint src/mingw32-gdk-pixbuf-2.21.7-1.fc15.src.rpm 
mingw32-gdk-pixbuf.src: W: unexpanded-macro %description -l C %{_mingw32_debug_package}
mingw32-gdk-pixbuf.src: W: spelling-error %description -l en_US mingw -> mingy, mingle, Mingus
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

# rpmlint noarch/mingw32-gdk-pixbuf-2.21.7-1.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Warnings can be ignored, the spell error is bogous and the macro isn't
defined due to the mingw32 packages on my system not being cutting edge.

-------------------------------------------------------------------

# md5sum gdk-pixbuf-2.21.7.tar.bz2*
341ef6c8870fddb411f8bb24b9fb638b  gdk-pixbuf-2.21.7.tar.bz2
341ef6c8870fddb411f8bb24b9fb638b  gdk-pixbuf-2.21.7.tar.bz2.fetched

--------------------------------------------------------------------

MUST: rpmlint must be run on every package. The output should be posted in the review.
OK - see above for the output

MUST: The package must be named according to the Package Naming Guidelines.
OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK

MUST: The package must meet the Packaging Guidelines.
OK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
OK - LGPLv2+

MUST: The License field in the package spec file must match the actual license.
OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK

MUST: The spec file must be written in American English.
OK

MUST: The spec file for the package MUST be legible.
OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
OK - see above for the md5sums

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - mingw32 exception, no need to run ldconfig

MUST: Packages must NOT bundle copies of system libraries.
OK

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
OK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK

MUST: Each package must consistently use macros.
OK

MUST: The package must contain code, or permissable content.
OK

MUST: Large documentation files must go in a -doc subpackage.
OK - docs are in the native package

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK

MUST: Header files must be in a -devel package.
OK - mingw32 exception

MUST: Static libraries must be in a -static package.
OK

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
OK - mingw32 exception

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
OK - mingw32 exception, .la files are needed here

MUST: Packages containing GUI applications must include a %{name}.desktop file, ... 
OK

MUST: Packages must not own files or directories already owned by other packages. ...
OK

MUST: All filenames in rpm packages must be valid UTF-8.
OK


SHOULD: The reviewer should test that the package builds in mock.
OK - builds fine in rawhide

SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - noarch package ;)

SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
OK - no scriptlets

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
OK

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
OK

SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
OK - docs are in the native package.

APPROVED
Comment 2 Erik van Pienbroek 2010-09-17 07:48:54 EDT
Thanks for the quick review!

New Package SCM Request
=======================
Package Name: mingw32-gdk-pixbuf
Short Description: MinGW Windows GDK Pixbuf library
Owners: epienbro rjones sailer
Branches: f14 el6
InitialCC:
Comment 3 Kalev Lember 2010-09-17 07:51:16 EDT
(In reply to comment #1)
> # rpmlint src/mingw32-gdk-pixbuf-2.21.7-1.fc15.src.rpm 
> mingw32-gdk-pixbuf.src: W: unexpanded-macro %description -l C
> %{_mingw32_debug_package}
<snip>
> 
> Warnings can be ignored, the spell error is bogous and the macro isn't
> defined due to the mingw32 packages on my system not being cutting edge.

You could try using ? to avoid having unexpanded macro in %description:
%{?_mingw32_debug_package}
Comment 4 Erik van Pienbroek 2010-09-17 08:01:17 EDT
Thanks for the hint, I'll add it before importing the package
Comment 5 Kevin Fenzi 2010-09-17 12:10:13 EDT
Git done (by process-git-requests).
Comment 6 Erik van Pienbroek 2010-10-11 12:11:09 EDT
Package has been imported and build successfully for rawhide and F14